Channels
Update a channel
PATCH
/
v1
/
channels
/
{channelID}
Update a channel
curl --request PATCH \
--url https://api.wazapin.com/v1/channels/{channelID} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": "<unknown>",
"is_active": true,
"metadata": "<unknown>",
"phone": "<string>",
"status": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: '<unknown>',
is_active: true,
metadata: '<unknown>',
phone: '<string>',
status: '<string>'
})
};
fetch('https://api.wazapin.com/v1/channels/{channelID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/channels/{channelID}"
payload = {
"name": "<string>",
"config": "<unknown>",
"is_active": True,
"metadata": "<unknown>",
"phone": "<string>",
"status": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"created_at": "<string>",
"id": "<string>",
"is_active": true,
"last_connected_at": "<string>",
"last_error": "<string>",
"linked_channel_id": "<string>",
"metadata": "<unknown>",
"mode": "<string>",
"name": "<string>",
"organization_id": "<string>",
"phone_number": "<string>",
"platform": "<string>",
"status": "<string>",
"updated_at": "<string>",
"config": "<unknown>",
"health_state": "<string>",
"last_failure_class": "<string>",
"operator_message": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Channel ID
Body
application/json
Response
OK
Operator-facing health: healthy, auth_required, degraded, setup_required
auth, payload, operational (support)
Safe message for workspace UI; never raw Meta errors
⌘I
Update a channel
curl --request PATCH \
--url https://api.wazapin.com/v1/channels/{channelID} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": "<unknown>",
"is_active": true,
"metadata": "<unknown>",
"phone": "<string>",
"status": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: '<unknown>',
is_active: true,
metadata: '<unknown>',
phone: '<string>',
status: '<string>'
})
};
fetch('https://api.wazapin.com/v1/channels/{channelID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/channels/{channelID}"
payload = {
"name": "<string>",
"config": "<unknown>",
"is_active": True,
"metadata": "<unknown>",
"phone": "<string>",
"status": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"created_at": "<string>",
"id": "<string>",
"is_active": true,
"last_connected_at": "<string>",
"last_error": "<string>",
"linked_channel_id": "<string>",
"metadata": "<unknown>",
"mode": "<string>",
"name": "<string>",
"organization_id": "<string>",
"phone_number": "<string>",
"platform": "<string>",
"status": "<string>",
"updated_at": "<string>",
"config": "<unknown>",
"health_state": "<string>",
"last_failure_class": "<string>",
"operator_message": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}